Package ch.qos.logback.core.recovery

# Class ResilientSyslogOutputStream

java.lang.Object
java.io.OutputStream
ch.qos.logback.core.recovery.ResilientOutputStreamBase
ch.qos.logback.core.recovery.ResilientSyslogOutputStream

All Implemented Interfaces:
  `Closeable`, `Flushable`, `AutoCloseable`

public class ResilientSyslogOutputStream extends ResilientOutputStreamBase

## Field Summary

### Fields inherited from class ch.qos.logback.core.recovery.ResilientOutputStreamBase

`os, presumedClean`

## Constructor Summary

Constructors
Constructor
Description
`ResilientSyslogOutputStream(String syslogHost, int port)`

## Method Summary

Modifier and Type
Method
Description
`String`
`toString()`

### Methods inherited from class ch.qos.logback.core.recovery.ResilientOutputStreamBase

`addStatus, close, flush, getContext, postIOFailure, setContext, write, write`

### Methods inherited from class java.io.OutputStream

`nullOutputStream, write`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### ResilientSyslogOutputStream

public ResilientSyslogOutputStream(String syslogHost, int port) throws UnknownHostException, SocketException

Throws:
  `UnknownHostException`
  `SocketException`

## Method Details

### toString

public String toString()

Overrides:
  `toString` in class `Object`